StarCharAttribute::SubDocument Class Reference documentation

Public Member Functions | Protected Attributes | Private Member Functions | List of all members
StarCharAttribute::SubDocument Class Referencefinal

Internal: the subdocument of a StarObjectSpreadsheet. More...

Inheritance diagram for StarCharAttribute::SubDocument:

## Public Member Functions
| SubDocument (std::shared_ptr< StarObjectTextInternal::Content > const &content, std::shared_ptr< StarState::GlobalState > const &state)
| ~SubDocument () final
| destructor More...
bool | operator!= (STOFFSubDocument const &doc) const final
| operator!= More...
void | parse (STOFFListenerPtr &listener, libstoff::SubDocumentType type) final
| the parser function More...
Public Member Functions inherited from STOFFSubDocument
| STOFFSubDocument (STOFFParser *pars, STOFFInputStreamPtr ip, STOFFEntry const &z)
| constructor from parser, input stream and zone in the input More...
| STOFFSubDocument (STOFFSubDocument const &doc)
| copy constructor More...
STOFFSubDocument & | operator= (STOFFSubDocument const &doc)
| copy operator More...
virtual | ~STOFFSubDocument ()
| virtual destructor More...
virtual bool | operator!= (STOFFSubDocument const &doc) const
| comparison operator!= More...
bool | operator== (STOFFSubDocument const &doc) const
| comparison operator== More...
bool | operator!= (std::shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator!= More...
bool | operator== (std::shared_ptr< STOFFSubDocument > const &doc) const
| comparison operator== More...
virtual void | parse (STOFFListenerPtr &listener, libstoff::SubDocumentType subDocumentType)=0
| virtual parse function More...

## Protected Attributes
std::shared_ptr< StarObjectTextInternal::Content > | m_content
| the content More...
std::shared_ptr< StarState::GlobalState > | m_state
| the global state More...
Protected Attributes inherited from STOFFSubDocument
STOFFParser * | m_parser
| the main zone parser More...
std::shared_ptr< STOFFInputStream > | m_input
| the input More...
STOFFEntry | m_zone
| if valid the zone to parse More...

## Private Member Functions
| SubDocument (SubDocument const &)
SubDocument & | operator= (SubDocument const &)

## Detailed Description

Internal: the subdocument of a StarObjectSpreadsheet.

## Constructor & Destructor Documentation

## ◆ SubDocument() [1/2]

StarCharAttribute::SubDocument::SubDocument | ( | std::shared_ptr< StarObjectTextInternal::Content > const & | content,
|  | std::shared_ptr< StarState::GlobalState > const & | state
| ) |  |
| inline

## ◆ ~SubDocument()

StarCharAttribute::SubDocument::~SubDocument | ( |  | ) |
| inlinefinal

destructor

## ◆ SubDocument() [2/2]

StarCharAttribute::SubDocument::SubDocument | ( | SubDocument const & |  | ) |
| private

## Member Function Documentation

## ◆ operator!=()

bool StarCharAttribute::SubDocument::operator!= | ( | STOFFSubDocument const & | doc | ) | const
| inlinefinalvirtual

operator!=

Reimplemented from STOFFSubDocument.

## ◆ operator=()

SubDocument & StarCharAttribute::SubDocument::operator= | ( | SubDocument const & |  | ) |
| private

## ◆ parse()

void StarCharAttribute::SubDocument::parse | ( | STOFFListenerPtr & | listener,
|  | libstoff::SubDocumentType | type
| ) |  |
| finalvirtual

the parser function

Implements STOFFSubDocument.

## Member Data Documentation

## ◆ m_content

std::shared_ptr<StarObjectTextInternal::Content> StarCharAttribute::SubDocument::m_content
| protected

the content

Referenced by parse().

## ◆ m_state

std::shared_ptr<StarState::GlobalState> StarCharAttribute::SubDocument::m_state
| protected

the global state

Referenced by operator!=(), and parse().

The documentation for this class was generated from the following file:

- StarCharAttribute.cxx